<?php
/**
* HTMLリストオブジェクトクラス
*
* PHP version 5
*
* @package    html_objects
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class HTMLListObject extends HTMLContainerObject
{
	/*
	 *	コンストラクタ
	 */
	public function __construct( $attributes = NULL )
	{
		parent::__construct( 'ul', $attributes );
	}

	/*
	 *	子要素タグ出力
	 */
	public function childTags()
	{
		$html = '<li>' . PHP_EOL;
		$children = $this->_children;
		foreach( $children as $c ){
			$html .= $c->toHTML() . PHP_EOL;
		}
		$html .= '</li>';
		return $html;
	}

}

return __FILE__;